### Function

# RB error_dialog

#### Declaration [src]

    void
    rb_error_dialog (
      GtkWindow* parent,
      const char* primary,
      const char* secondary,
      ...
    )

#### Description [src]

Creates and displays a simple error dialog box containing a primary message in bold, larger type and a secondary message in the regular font. Both the primary and secondary message strings should be translated.

Care should be taken to avoid opening multiple error dialog boxes when a single error message (such as ‘out of disk space’) affects multiple items.

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `GtkWindow`

  Parent `GtkWindow` for the dialog.

  The data is owned by the caller of the function.

`primary`

  Type: `const char*`

  Main error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`secondary`

  Type: `const char*`

  Secondary error message (printf-style format string).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Any substitution values for the secondary message.